Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opencyc.elf
Class LowestLevelNode

    java.lang.Object
      |
      +--org.opencyc.elf.ELFObject
            |
            +--org.opencyc.elf.Node
                  |
                  +--org.opencyc.elf.LowestLevelNode

public class LowestLevelNode
extends Node

Provides the lowest level Node container for the Elementary Loop Functioning (ELF).

Author:
  Stephen L. Reed

  Copyright 2001 Cycorp, Inc., license is open source GNU LGPL.

  the license

  www.opencyc.org

  OpenCyc at SourceForge

  THIS SOFTWARE AND KNOWLEDGE BASE CONTENT ARE PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENCYC ORGANIZATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE AND KNOWLEDGE BASE CONTENT, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Field Summary
`protected org.opencyc.elf.a.Actuator` | `actuator` the Actuator for this node
`protected org.opencyc.elf.s.Sensor` | `sensor` the Sensor for this node
`protected koala.dynamicjava.interpreter.TreeInterpreter` | `treeInterpreter` Access the World via the tree interpreter which interprets java statements.

Fields inherited from class org.opencyc.elf.Node
`behaviorGeneration, childNodes, nodes, parentNode, purpose, sensoryPerception, siblingNodes, valueJudgement, worldModel`

Fields inherited from class org.opencyc.elf.ELFObject
`name`

Constructor Summary
`LowestLevelNode()` Constructs a new LowestLevelNode object.

Method Summary
`org.opencyc.elf.a.Actuator` | `getActuator()` Gets the Actuator for this node
`org.opencyc.elf.s.Sensor` | `getSensor()` Gets the Sensor for this node
`koala.dynamicjava.interpreter.TreeInterpreter` | `getTreeInterpreter()` Gets the tree interpreter which interprets java statements
`void` | `setActuator(org.opencyc.elf.a.Actuator actuator)` Sets the Actuator for this node
`void` | `setSensor(org.opencyc.elf.s.Sensor sensor)` Sets the Sensor for this node
`void` | `setTreeInterpreter(koala.dynamicjava.interpreter.TreeInterpreter treeInterpreter)` Sets the tree interpreter which interprets java statements

Methods inherited from class org.opencyc.elf.Node
`getBehaviorGeneration, getChildNodes, getName, getNodes, getParentNode, getPurpose, getSensoryPerception, getSiblingNodes, getValueJudgement, getWorldModel, setBehaviorGeneration, setChildNodes, setName, setNodes, setParentNode, setPurpose, setSensoryPerception, setSiblingNodes, setValueJudgement, setWorldModel, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### treeInterpreter

    protected koala.dynamicjava.interpreter.TreeInterpreter treeInterpreter

  Access the World via the tree interpreter which interprets java statements. This World access is shared between the actuator and the sensor.

### actuator

    protected org.opencyc.elf.a.Actuator actuator

  the Actuator for this node

### sensor

    protected org.opencyc.elf.s.Sensor sensor

  the Sensor for this node

Constructor Detail

### LowestLevelNode

    public LowestLevelNode()

  Constructs a new LowestLevelNode object.

Method Detail

### getActuator

    public org.opencyc.elf.a.Actuator getActuator()

  Gets the Actuator for this node
  Returns:
    the Actuator for this node

### setActuator

    public void setActuator(org.opencyc.elf.a.Actuator actuator)

  Sets the Actuator for this node
  Parameters:
    `actuator` - the Actuator for this node

### getSensor

    public org.opencyc.elf.s.Sensor getSensor()

  Gets the Sensor for this node
  Returns:
    the Sensor for this node

### setSensor

    public void setSensor(org.opencyc.elf.s.Sensor sensor)

  Sets the Sensor for this node
  Parameters:
    `sensor` - the Sensor for this node

### getTreeInterpreter

    public koala.dynamicjava.interpreter.TreeInterpreter getTreeInterpreter()

  Gets the tree interpreter which interprets java statements
  Returns:
    the tree interpreter which interprets java statements

### setTreeInterpreter

    public void setTreeInterpreter(koala.dynamicjava.interpreter.TreeInterpreter treeInterpreter)

  Sets the tree interpreter which interprets java statements
  Parameters:
    `treeInterpreter` - the tree interpreter which interprets java statements

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD